Skip to main content
GET
/
register
/
webhooks
/
{id}
Retrieve a webhook endpoint
curl --request GET \
  --url https://thirdparty-sandbox.staging.qonto.co/register/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Qonto-Partner-Id: <api-key>'
import requests

url = "https://thirdparty-sandbox.staging.qonto.co/register/webhooks/{id}"

headers = {
"Authorization": "Bearer <token>",
"Qonto-Partner-Id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Qonto-Partner-Id': '<api-key>'}
};

fetch('https://thirdparty-sandbox.staging.qonto.co/register/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "webhook_subscription": {
    "callback_url": "https://example.com/myCallbackUrl",
    "enabled": true,
    "secret": "1qA+9OSwfnm0NuhF+b8CJA==",
    "id": "37824615-afec-4340-b700-0981b5f0c319",
    "created_at": "2021-08-17T12:31:32.689Z",
    "updated_at": "2021-08-17T12:31:32.689Z"
  }
}
{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}
{
"errors": [
{
"code": "unauthorized",
"detail": "You must authenticate to perform API requests"
}
]
}
{
"errors": [
{
"code": "not_found",
"detail": "The record identified by <uuid> could not be found."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>. To get your <token>, please sign up to the Developer Portal.

Qonto-Partner-Id
string
header
required

API Key authorization header: Qonto-Partner-Id: <partner_id>. To get your <partner_id> please, sign up to the Developer Portal.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string
required

id of the Webhook resource

Example:

"f4a15ff0-40a2-48d4-8801-99c7b4e0788e"

Response

Returns the webhook endpoint identified by the id path parameter.

webhook_subscription
Webhook · object